image: "rust:latest"

before_script:
  - rustup component add rustfmt
  - rustup component add clippy

test:
  script:
    - cargo fmt -- --check
    - cargo clippy --all-targets --all-features -- -D warnings
    - cargo test
